View Issue Details

IDProjectCategoryView StatusLast Update
0000649SymmetricDSBugpublic2014-02-02 20:52
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.1 
Target Version3.0.2Fixed in Version3.0.2 
Summary0000649: Column matching routers can't match values with spaces.
DescriptionThe router column match expression does not correctly match constant values including spaces. There is also a bug where words ending in "or" cause the match to fail.

The following expressions will fail...
COLUMN=my value
COLUMN=door
TagsNo tags attached.

Activities

abrougher

2012-06-15 09:04

developer   ~0000005

Enhanced the column match router expression to handle strings with multiple spaces.

Fixed a bug where if the value in the column match router ended in 'or', the router would not work correctly.

Tick marks can be used to designate the value. If no tick marks are used, the value is still valid but all whitespace around the value string will be trimmed.

Related Changesets

SymmetricDS: master 6f812942

2012-06-15 08:58:03

abrougher

Details Diff
Issue 0000649

Enhanced the column match router expression to handle strings with multiple spaces.
Fixed a bug where if the value in the column match router ended in 'or', the router would not work correctly.
Tick marks can be used to designate the value. If no tick marks are used, the value is still valid but all whitespace around the value string will be trimmed.

0000649
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/route/ColumnMatchDataRouter.java Diff File
mod - symmetric/symmetric-core/src/test/java/org/jumpmind/symmetric/route/ColumnMatchDataRouterTest.java Diff File

Issue History

Date Modified Username Field Change
2012-06-14 17:21 abrougher New Issue
2012-06-14 17:21 abrougher Status new => assigned
2012-06-14 17:21 abrougher Assigned To => abrougher
2012-06-15 09:04 abrougher Note Added: 0000005
2012-06-15 09:04 abrougher Status assigned => resolved
2012-06-15 09:04 abrougher Fixed in Version => 3.0.1
2012-06-15 09:04 abrougher Resolution open => fixed
2012-06-18 12:09 chenson Status resolved => feedback
2012-06-18 12:09 chenson Resolution fixed => reopened
2012-06-18 12:09 chenson Status feedback => resolved
2012-06-18 12:09 chenson Fixed in Version 3.0.1 => 3.0.2
2012-06-18 12:09 chenson Resolution reopened => fixed
2012-06-23 11:48 admin Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r5876
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 6f812942